/*
  SerialDLF.h - Arduino Library
  Copyright (c) 2013 Denis LE FUR.  All right reserved.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef SerialDLF_h
#define SerialDLF_h
   
#include "Arduino.h"


//-------------------------------------------------
// Classe SerialString
//-------------------------------------------------        
class SerialString
{
	public:
		SerialString();
		void renew();
		String get();
		boolean empty();
		boolean equals(String str);
		boolean withParameter();
		int parameter();
		boolean isSensoduino();
	private:
		String _message; //the whole message
		String _keyword; // the first part (before ' ')
};



#endif
